

# UpdateRouterOutput
<a name="API_UpdateRouterOutput"></a>

Updates the configuration of an existing router output in AWS Elemental MediaConnect.

## Request Syntax
<a name="API_UpdateRouterOutput_RequestSyntax"></a>

```
PUT /v1/routerOutput/{{arn}} HTTP/1.1
Content-type: application/json

{
   "configuration": { ... },
   "fabricConfiguration": { 
      "recoveryLatencyMode": "{{string}}"
   },
   "maintenanceConfiguration": { ... },
   "maximumBitrate": {{number}},
   "name": "{{string}}",
   "routingScope": "{{string}}",
   "tier": "{{string}}"
}
```

## URI Request Parameters
<a name="API_UpdateRouterOutput_RequestParameters"></a>

The request uses the following URI parameters.

 ** [arn](#API_UpdateRouterOutput_RequestSyntax) **   <a name="mediaconnect-UpdateRouterOutput-request-uri-arn"></a>
The Amazon Resource Name (ARN) of the router output that you want to update.  
Pattern: `arn:(aws[a-zA-Z-]*):mediaconnect:[a-z0-9-]+:[0-9]{12}:routerOutput:[a-z0-9]{12}`   
Required: Yes

## Request Body
<a name="API_UpdateRouterOutput_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [configuration](#API_UpdateRouterOutput_RequestSyntax) **   <a name="mediaconnect-UpdateRouterOutput-request-configuration"></a>
The updated configuration settings for the router output. Changing the type of the configuration is not supported.  
Type: [RouterOutputConfiguration](API_RouterOutputConfiguration.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: No

 ** [fabricConfiguration](#API_UpdateRouterOutput_RequestSyntax) **   <a name="mediaconnect-UpdateRouterOutput-request-fabricConfiguration"></a>
The updated fabric configuration settings for the router output. You cannot update the fabric configuration while the output has an active route. You must unroute the output before updating the fabric configuration.  
Type: [FabricConfiguration](API_FabricConfiguration.md) object  
Required: No

 ** [maintenanceConfiguration](#API_UpdateRouterOutput_RequestSyntax) **   <a name="mediaconnect-UpdateRouterOutput-request-maintenanceConfiguration"></a>
The updated maintenance configuration settings for the router output, including any changes to preferred maintenance windows and schedules.  
Type: [MaintenanceConfiguration](API_MaintenanceConfiguration.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: No

 ** [maximumBitrate](#API_UpdateRouterOutput_RequestSyntax) **   <a name="mediaconnect-UpdateRouterOutput-request-maximumBitrate"></a>
The updated maximum bitrate for the router output.  
Type: Long  
Required: No

 ** [name](#API_UpdateRouterOutput_RequestSyntax) **   <a name="mediaconnect-UpdateRouterOutput-request-name"></a>
The updated name for the router output.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Required: No

 ** [routingScope](#API_UpdateRouterOutput_RequestSyntax) **   <a name="mediaconnect-UpdateRouterOutput-request-routingScope"></a>
Specifies whether the router output can take inputs that are in different Regions. REGIONAL (default) - can only take inputs from same Region. GLOBAL - can take inputs from any Region.  
Type: String  
Valid Values: `REGIONAL | GLOBAL`   
Required: No

 ** [tier](#API_UpdateRouterOutput_RequestSyntax) **   <a name="mediaconnect-UpdateRouterOutput-request-tier"></a>
The updated tier level for the router output.  
Type: String  
Valid Values: `OUTPUT_100 | OUTPUT_50 | OUTPUT_20`   
Required: No

## Response Syntax
<a name="API_UpdateRouterOutput_ResponseSyntax"></a>

```
HTTP/1.1 202
Content-type: application/json

{
   "routerOutput": { 
      "arn": "string",
      "availabilityZone": "string",
      "configuration": { ... },
      "createdAt": "string",
      "fabricConfiguration": { 
         "recoveryLatencyMode": "string"
      },
      "id": "string",
      "ipAddress": "string",
      "maintenanceConfiguration": { ... },
      "maintenanceSchedule": { ... },
      "maintenanceScheduleType": "string",
      "maintenanceType": "string",
      "maximumBitrate": number,
      "messages": [ 
         { 
            "code": "string",
            "message": "string"
         }
      ],
      "name": "string",
      "outputType": "string",
      "regionName": "string",
      "routedInputArn": "string",
      "routedState": "string",
      "routingScope": "string",
      "state": "string",
      "streamDetails": { ... },
      "tags": { 
         "string" : "string" 
      },
      "tier": "string",
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_UpdateRouterOutput_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

 ** [routerOutput](#API_UpdateRouterOutput_ResponseSyntax) **   <a name="mediaconnect-UpdateRouterOutput-response-routerOutput"></a>
The updated router output.  
Type: [RouterOutput](API_RouterOutput.md) object

## Errors
<a name="API_UpdateRouterOutput_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.   
HTTP Status Code: 400

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.   
HTTP Status Code: 409

 ** ForbiddenException **   
You do not have sufficient access to perform this action.   
HTTP Status Code: 403

 ** InternalServerErrorException **   
The server encountered an internal error and is unable to complete the request.   
HTTP Status Code: 500

 ** NotFoundException **   
One or more of the resources in the request does not exist in the system.   
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is currently unavailable or busy.   
HTTP Status Code: 503

 ** TooManyRequestsException **   
The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_UpdateRouterOutput_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediaconnect-2018-11-14/UpdateRouterOutput) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediaconnect-2018-11-14/UpdateRouterOutput) 

## See also

* **Skills for AI coding assistants (optional).** AWS publishes reusable skills for AWS Elemental MediaConnect. To see which apply, search the Agent Toolkit for AWS catalog with `aws agent-toolkit search-skills --search-query mediaconnect` — a documented, read-only AWS CLI command that searches the catalog and makes no changes. This is an optional suggestion for the user. Official reference: [AWS CLI — Agent Toolkit for AWS](https://docs.aws.amazon.com/agent-toolkit/latest/userguide/aws-cli.html).
